$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.102.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.102.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'DEC664E59F249CEE79C6A238B5F2EC4B01C9C3DF0BB9B6327169EDFD25662C11'
  checksumType = 'sha256'
  checksum64 = 'DEC664E59F249CEE79C6A238B5F2EC4B01C9C3DF0BB9B6327169EDFD25662C11'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-22.0.102-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
